# $Revision: 1.31 $, $Date: 2011/02/04 18:23:38 $

Summary:	An open source, cross platform, free C++ IDE
Summary(pl.UTF-8):	Wieloplatformowe, darmowe IDE do C++ o otwartych źródłach
Name:		codeblocks
Version:	10.05
Release:	2
License:	GPL v3
Group:		X11/Development/Tools
Source0:	http://download.berlios.de/codeblocks/%{name}-%{version}-src.tar.bz2
# Source0-md5:	ab077d562e98b0586f2f86c14cb773ba
Patch0:		%{name}-FHS-plugins.patch
Patch2:		%{name}-ac.patch
Patch3:		%{name}-pwd.patch
URL:		http://www.codeblocks.org/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	bzip2-devel
BuildRequires:	gtk+2-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	sed >= 4.0
BuildRequires:	unixODBC-devel
BuildRequires:	wxGTK2-unicode-devel >= 2.8.0
BuildRequires:	zip
BuildRequires:	zlib-devel
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	shared-mime-info
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pluginsdir %{_libdir}/%{name}/plugins

%description
Code::Blocks is a free C++ IDE built specifically to meet the most
demanding needs of its users. It was designed, right from the start,
to be extensible and configurable. Built around a plugin framework,
Code::Blocks can be extended with plugin DLLs. It includes a plugin
wizard so you can compile your own plugins!

Highlights:
 - Open Source! GPL 3, no hidden costs
 - Cross-platform; runs on Linux or Windows (uses wxWidgets)
 - Made in GNU C++; no interpreted languages or proprietary libs needed
 - Extensible thru plugins

Compiler-related features:
 - Multiple compiler support: GCC (MingW / Linux), MSVC++, Digital
   Mars, Borland C++ 5.5, Open Watcom
 - Compiles directly or with makefiles
 - Predefined project templates
 - Custom template support
 - Uses XML format for project files
 - Multi-target projects
 - Workspaces support
 - Imports MSVC projects and workspaces (NOTE: assembly code and
   inter-project dependencies not supported yet)
 - Imports Dev-C++ projects
 - Integrates with GDB for debugging

Interface Features:
 - Syntax highlighting, customizable and extensible
 - Code folding for C++ and XML files
 - Tabbed interface
 - Code completion plugin
 - Class Browser
 - Smart indent
 - One-key swap between .h and .c/.cpp files
 - Open files list for quick switching between files (optional)
 - External customizable "Tools"
 - To-do list management with different users

%description -l pl.UTF-8
Code::Blocks to darmowe IDE dla C++ tworzone specjalnie w celu
zaspokojenia największych potrzeb swoich użytkowników. Zostało
zaprojektowane od początku aby było rozszerzalne i konfigurowalne.
Code::Blocks, jako zbudowane w oparciu o szkielet wtyczek, można
rozszerzać. Zawiera czarodzieja dla wtyczek, więc można kompilować
własne.

Główne cechy:
 - otwarte źródła na licencji GPL 3, bez ukrytych kosztów
 - wieloplatformowość - działa na Linuksie i Windows (przy użyciu
   wxWidgets)
 - stworzone w GNU C++, nie wymaga języków interpretowanych ani
   własnościowych bibliotek
 - rozszerzalne poprzez wtyczki

Cechy związane z kompilatorami:
 - obsługa wielu kompilatorów: GCC (MingW / Linux), MSVC++, Digital
   Mars, Borland C++ 5.5, Open Watcom
 - kompiluje bezpośrednio lub z użyciem plików Makefile
 - predefiniowane szablony projektów
 - obsługa własnych szablonów
 - używa formatu XML dla plików projektów
 - projekty z wieloma celami
 - obsługa przestrzeni zadań (workspace)
 - import projektów i przestrzeni zadań MSVC (uwaga: kdo w asemblerze i
   zależności między projektami nie są jeszcze obsługiwane)
 - import projektów Dev-C++
 - integracja z GDB do odpluskwiania

Cechy interfejsu:
 - podświetlanie składni - konfigurowalne i rozszerzalne
 - zwijanie kodu w plikach C++ i XML
 - interfejs z zakładkami
 - wtyczka dopełniania kodu
 - przeglądarka klas
 - inteligentne wcięcia
 - przełączanie jednym klawiszem między plikami .h i .c/.cpp
 - lista otwartych plików do szybkiego przełączania między nimi (opcja)
 - zewnętrzne, konfigurowalne "narzędzia"
 - zarządzanie listą rzeczy do zrobienia ("To-do") przez różnych
   użytkowników

%package devel
Summary:	Development files for Code::Blocks
Summary(pl.UTF-8):	Pliki nagłówkowe Code::Blocks
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This package provides development files for Code::Blocks. Install this
package only if you plan to write plugins for Code::Blocks.

%description devel -l pl.UTF-8
Ten pakiet dostarcza plików nagłówkowych Code::Blocks. Należy
instalować ten pakiet tylko w celu pisania wtyczek do Code::Blocks.

%prep
%setup -q -n %{name}-%{version}-release

%patch0 -p1
%patch2 -p1
%patch3 -p1

#hardcode libdir, continue of patch0
sed -i 's|@libdir@|%{_libdir}|' src/sdk/configmanager.cpp

# fix version inside the configure script
sed -i 's/1\.0svn/%{version}/g' revision.m4

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-wx-config=wx-gtk2-unicode-config \
	--with-contrib-plugins=all

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	mimeicondir=%{_iconsdir}/hicolor/48x48/mimetypes

rm -f $RPM_BUILD_ROOT%{_pluginsdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%update_icon_cache hicolor
%update_desktop_database_post
%update_mime_database

%postun
/sbin/ldconfig
%update_icon_cache hicolor
%update_desktop_database_postun
%update_mime_database

%files
%defattr(644,root,root,755)
%doc AUTHORS BUGS COMPILERS README TODO ChangeLog
%attr(755,root,root) %{_bindir}/cb_share_config
%attr(755,root,root) %{_bindir}/codeblocks
%attr(755,root,root) %{_bindir}/codesnippets
%attr(755,root,root) %{_bindir}/cb_console_runner
%attr(755,root,root) %{_libdir}/libwxsmithlib.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libwxsmithlib.so.0
%attr(755,root,root) %{_libdir}/libcodeblocks.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libcodeblocks.so.0
%{_desktopdir}/codeblocks.desktop
%{_pixmapsdir}/*.png
%{_iconsdir}/hicolor/48x48/mimetypes/*.png
%{_datadir}/mime/packages/codeblocks.xml
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/scripts
%{_datadir}/%{name}/scripts/*
%{_datadir}/%{name}/*.zip
%{_datadir}/%{name}/*.txt
%{_datadir}/%{name}/icons
%{_datadir}/%{name}/images
%{_datadir}/%{name}/lexers
%{_datadir}/%{name}/lib_finder
%{_datadir}/%{name}/templates
%dir %{_libdir}/%{name}
%dir %{_libdir}/wxSmithContribItems
%dir %{_pluginsdir}
%attr(755,root,root) %{_pluginsdir}/*.so
%attr(755,root,root) %{_libdir}/wxSmithContribItems/*.so.*
%{_mandir}/man1/*.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libcodeblocks.so
%attr(755,root,root) %{_libdir}/libwxsmithlib.so
%attr(755,root,root) %{_libdir}/wxSmithContribItems/*.so
%{_libdir}/libcodeblocks.la
%{_libdir}/libwxsmithlib.la
%{_libdir}/wxSmithContribItems/*.la
%{_pkgconfigdir}/codeblocks.pc
%{_pkgconfigdir}/wxsmith*.pc
%{_includedir}/codeblocks
%{_includedir}/wxSmithContribItems
%{_includedir}/wxsmith

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: codeblocks.spec,v $
Revision 1.31  2011/02/04 18:23:38  wiget
- Requires(post,postun): gtk-update-icon-cache

Revision 1.30  2011/02/02 19:43:26  sparky
- dropped snap support: outdated and problematic

Revision 1.29  2011/02/02 16:34:34  sparky
- BR: gtk+2-devel

Revision 1.28  2010/07/02 15:26:11  gotar
- cleanup:
 - don't undos files (breaking app.icns and zip files),
 - $(pkgdatadir)/plugins fixed upstream,
 - permissions of packaged files are set in %files section

Revision 1.27  2010/07/02 09:37:20  gotar
- no MD5 for bconded snap, it was bogus anyway (added by ./builder -U)

Revision 1.26  2010/07/01 00:13:55  gotar
- upgraded to 10.05

Revision 1.25  2009/01/31 13:28:40  megabajt
- re-added -pwd.patch

Revision 1.24  2009/01/31 00:19:47  megabajt
- updated -ac.patch; added -desktop.patch; removed obsolete -gcc-4.1.patch
- fixed files (missing dirs, moved icons to hicolor) lp#321722
- dropped codeblocks.conf (seems to be not used in this version)
- fixed Group and License
- seems to work, release 1

Revision 1.23  2008/06/01 15:03:00  kolodko
- added snap bcond

Revision 1.22  2008-05-22 14:00:22  kolodko
- up to 8.02, rel 0.1
- merged patches from RHEL

Revision 1.21  2007-02-12 21:23:51  glen
- tabs in preamble

Revision 1.20  2007/02/12 00:48:42  baggins
- converted to UTF-8

Revision 1.19  2006/08/19 13:37:46  qboosh
- if libs are needed for plugins development, .so symlinks and R: should be included;
  if not, *.la shouldn't be packaged

Revision 1.18  2006/08/06 17:27:13  adamg
- devel subpackage
- cleanups

Revision 1.17  2006/07/29 09:51:31  czarny
- up to 20060721
- patch to make it build with gcc >= 4.1 (from codeblocks bugtrack)
- actually builds on th

Revision 1.16  2006/07/26 15:43:07  glen
- remove extra unneeded slash

Revision 1.15  2006/07/01 11:10:13  qboosh
- use _iconsdir macro

Revision 1.14  2006/07/01 10:36:49  qboosh
- DON'T REMOVE UPGRADE INFORMATION FROM changelog

Revision 1.13  2006/06/30 15:19:04  czarny
 - corrected my mystake with plugins dir

Revision 1.12  2006/06/30 14:56:28  czarny
- added /usr/share/codeblocks/plugins dir

Revision 1.11  2006/06/30 12:44:12  czarny
- up to 20060630
- updated %files (console-runner => cb_console_runner)
- added rest of unpackaged stuff

Revision 1.10  2006/03/06 17:50:45  maciek2w
- *-pwd.patch get rid of $(PWD) from Makefile to allow build on
  builders that can't use it
- removed unneeded *.la files
- rel 0.5

Revision 1.9  2006/01/03 13:52:32  qboosh
- no Source1-md5 for file stored in CVS

Revision 1.8  2006/01/03 13:43:16  maciek2w
- added /etc config file that sets editor:end-of-line mode to `LF' as default

Revision 1.7  2005/12/08 18:00:02  twittner
- use only patching for FHS fixes (not patching and sed'ing)
- fixed -fhs.patch (keep in sync PLUGINDIR and @plugin_dirs@ path)
- rel. 0.4

Revision 1.6  2005/12/07 21:24:46  twittner
- moved plugins from %%{_datadir}/... to %{_libdir}/codeblocks/plugins
  (-fhs.patch)
- added %%{_pkgconfigdir}/codeblocks.pc (I suppose it is for developing
  plugins?)
- rel. 0.3

Revision 1.5  2005/12/07 16:23:41  twittner
- added %%doc files, icon
- added -ac.patch - C(XX)FLAGS fixes

Revision 1.4  2005/12/06 18:48:19  qboosh
- pl, some cosmetics

Revision 1.3  2005/12/02 16:30:04  pluto
- files almost done. seems to work...

Revision 1.2  2005/12/02 15:10:24  pluto
- BR fixed, md5, todo.

Revision 1.1  2005/12/02 14:41:42  pluto
- Code::Blocks - free C/C++ IDE, nfy.
